Bug 1335537 - typo in "Proxy connnection failed, please check your settings."
Summary: typo in "Proxy connnection failed, please check your settings."
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 12:55 UTC by John Sefler
Modified: 2016-11-03 20:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:29:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 0 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-05-12 12:55:43 UTC
Description of problem:

subcription-manager commit 7ce6801fc1cc38edcdeb75dfb5f0d1f8a6398c68 has a typo for the word 'connection' the string "Proxy connnection failed, please check your settings."


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.17.6-1.el7.x86_64


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# grep "Proxy con" /usr/share/rhsm/subscription_manager/managercli.py
                    system_exit(os.EX_UNAVAILABLE, _("Proxy connnection failed, please check your settings."))


Actual results:
  above

Expected results:
  "Proxy connection failed, please check your settings."


Additional info:

Comment 4 John Sefler 2016-07-07 15:14:18 UTC
Verifying Version....
[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.17.8-1.el7.x86_64

[root@jsefler-rhel7 ~]# rpm -q subscription-manager --changelog | grep 1335537
- 1335537: Fix typo in proxy message (wpoteat@redhat.com)

[root@jsefler-rhel7 ~]# rpm -ql subscription-manager | egrep managercli.py$
/usr/lib/python2.7/site-packages/subscription_manager/managercli.py

[root@jsefler-rhel7 ~]# grep "Proxy con" /usr/lib/python2.7/site-packages/subscription_manager/managercli.py
                    system_exit(os.EX_UNAVAILABLE, _("Proxy connection failed, please check your settings."))

VERIFIED: typo "Proxy connnection" has been corrected to "Proxy connection"

Comment 6 errata-xmlrpc 2016-11-03 20:29:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.